Search Zip Code
curl --request GET \
--url https://api.byteful.com/1.0/public/user/zip_code/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/zip_code/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/zip_code/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"subdivision_id": "ru-irk",
"zip_code_alias": "kt3",
"zip_code_id": 123,
"zip_code_node_count": 1234
}
],
"item_count": 1,
"message": "Zip Code search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Zip Code
Search Zip Code
Search Zip Code entries using various filters.
GET
/
public
/
user
/
zip_code
/
search
Search Zip Code
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Query Parameters
Filter by specific zip code ID
Filter by zip code alias
Filter by subdivision ID
Filter by zip code node count
Number of items per page for pagination
Page number for pagination
Key for sorting or random.
Response
200 - application/json
Successful Zip Code search
Zip Code search was successful.
Array of Zip Code items matching the search criteria up to the limit of per_page paramater.
Show child attributes
Show child attributes
Total number of Zip Code items returned in the data field.
Status message for the search.
Current page number of the search results returned.
Number of Zip Code items returned per page.
Total of Zip Code items that match the search filter.

